# Class yii\web\Link

Inheritance | yii\web\Link » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/Link.php

Link represents a link object as defined in JSON Hypermedia API Language.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$href | string | A URI [RFC3986](https://tools. | yii\web\Link
$hreflang | string | The language of the target resource | yii\web\Link
$name | string | A secondary key for selecting Link Objects which share the same relation type | yii\web\Link
$profile | string | A URI that hints about the profile of the target resource. | yii\web\Link
$templated | boolean | A value indicating whether $href refers to a URI or URI template. | yii\web\Link
$title | string | A label describing the link | yii\web\Link
$type | string | A hint to indicate the media type expected when dereferencing the target resource | yii\web\Link

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject
serialize() | Serializes a list of links into proper array format. | yii\web\Link

## Constants

Hide inherited constants

Constant | Value | Description | Defined By
--- | --- | --- | ---
REL_SELF | 'self' | The self link. | yii\web\Link

## Property Details

$href public property

A URI RFC3986 or URI template RFC6570. This property is required.

public string $href = null
$hreflang public property

The language of the target resource

public string $hreflang = null
$name public property

A secondary key for selecting Link Objects which share the same relation type

public string $name = null
$profile public property

A URI that hints about the profile of the target resource.

public string $profile = null
$templated public property

A value indicating whether $href refers to a URI or URI template.

public boolean $templated = false
$title public property

A label describing the link

public string $title = null
$type public property

A hint to indicate the media type expected when dereferencing the target resource

public string $type = null

## Method Details

serialize() public static method

Serializes a list of links into proper array format.

public static array serialize ( array $links )
$links | array | The links to be serialized
return | array | The proper array representation of the links.